[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / TreeControlCellComponent

# Class: TreeControlCellComponent

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:27](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L27)

## Implements

- `OnInit`
- `DoCheck`

## Constructors

### new TreeControlCellComponent()

> **new TreeControlCellComponent**(): [`TreeControlCellComponent`](TreeControlCellComponent.md)

#### Returns

[`TreeControlCellComponent`](TreeControlCellComponent.md)

## Properties

### element

> **element**: `any`

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:35](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L35)

***

### expandIcon

> **expandIcon**: `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:32](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L32)

***

### icon

> **icon**: `IconConfig`

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:30](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L30)

***

### offset

> **offset**: `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:29](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L29)

## Methods

### ngDoCheck()

> **ngDoCheck**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:42](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L42)

A callback method that performs change-detection, invoked
after the default change-detector runs.
See `KeyValueDiffers` and `IterableDiffers` for implementing
custom change checking for collections.

#### Returns

`void`

#### Implementation of

`DoCheck.ngDoCheck`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:37](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L37)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### toggleExpand()

> **toggleExpand**(): `any`

Defined in: [packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:46](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts#L46)

#### Returns

`any`
